%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-resolver
Version:          4.0.0
Release:          2%{?dist}
Summary:          Standalone OSGi Resolver 
License:          ASL 2.0
URL:              http://community.jboss.org/wiki/JBossOSGi
Source0:          https://github.com/jbosgi/jbosgi-resolver/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    mockito
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-logging
BuildRequires:    jboss-modules
BuildRequires:    jboss-logmanager
BuildRequires:    jbosgi-metadata
BuildRequires:    jbosgi-spi
BuildRequires:    jbosgi-vfs
BuildRequires:    eclipse-equinox-osgi

%description
This package contains the JBoss OSGi Resolver.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbosgi-resolver-%{namedversion}

for m in api felix; do
%pom_remove_dep "org.osgi:org.osgi.core" $m/pom.xml
%pom_add_dep "org.eclipse:osgi" $m/pom.xml
done

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Fri Jul 26 2013 Marek Goldmann <mgoldman@redhat.com> - 4.0.0-2
- Rebuild

* Fri Jun 28 2013 Marek Goldmann <mgoldman@redhat.com> - 4.0.0-1
- Upstream release 4.0.0.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.5.Beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.0-0.4.Beta2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.3.Beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.2-0.2.Beta2
- Fixed BR/R

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.2-0.1.Beta2
- Initial packaging

